import BasicWindow from "../../Components/BasicWindow";
import Button from "../../Components/Button";
import TimeReport from "../../Components/TimeReport";

function PMViewUnsignedReport(): JSX.Element {
  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">
        Username&apos;s Time Report
      </h1>
      <TimeReport />
    </>
  );

  const buttons = (
    <>
      <Button
        text="Sign"
        onClick={(): void => {
          return;
        }}
      />
      <Button
        text="Save"
        onClick={(): void => {
          return;
        }}
      />
      <Button
        text="Back"
        onClick={(): void => {
          return;
        }}
      />
    </>
  );

  return <BasicWindow username="Admin" content={content} buttons={buttons} />;
}
export default PMViewUnsignedReport;
